Subject: Re: [RFC] Authenticate push via PGP signature, not SSH

From: Sam Vilain <[email-masked]>
Date: Thu, 31 Jan 2008 09:22:48 +1300

Pierre Habouzit wrote:
>> The Perl Crypt::OpenPGP module doesn't suffer from this problem (and is
>> performant), though it suffers from a dependency stack that will hurt
>> everyone except Debian users ;-).
> 
>   Actually, if it's engineered like libgpgme (gpg made easy) is, well,
> it basically wraps calls to gpg, a thing that we can do ourselves easily
> usually :)

It's nothing like gpgme - it brings together all of the Perl modules
that together implement PGP completely.  It doesn't use gpg.

Sam.